bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#26184: 25.2; auth-source-delete is broken


From: Kazuhiro Ito
Subject: bug#26184: 25.2; auth-source-delete is broken
Date: Mon, 20 Mar 2017 11:55:47 +0900
User-agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.7 (Harue) FLIM/1.14.9 (Goj┼Ź) APEL/10.8 EasyPG/1.0.0 Emacs/26.0.50 (x86_64-w64-mingw32) MULE/6.0 (HANACHIRUSATO)

auth-source-delete function is defined as below.

> (defun auth-source-delete (&rest spec)
>   "Delete entries from the authentication backends according to SPEC.
> Calls `auth-source-search' with the :delete property in SPEC set to t.
> The backend may not actually delete the entries.

> Returns the deleted entries."
>   (auth-source-search (plist-put spec :delete t)))

If you actually use it, an error is raised.  It should be defined as
below.

> (apply 'aurh-source-search (plist-put spec :delete t))

-- 
Kazuhiro Ito





reply via email to

[Prev in Thread] Current Thread [Next in Thread]